---
updatedAt: 2026-04-28T11:47:33.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/llms.txt
---

# Get Transaction Status

Get Details of a transaction to confirm the status

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "accept-payment",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.interswitchng.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/api/v3/purchases": {
      "get": {
        "summary": "Get Transaction Status",
        "description": "Get Details of a transaction to confirm the status",
        "operationId": "get-transaction-status",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "description": "Set value to \"Bearer <token>\"",
            "schema": {
              "type": "string",
              "default": "Bearer eyJhbGciOiJSUzI1NiJ9.eyJhdWQiOlsiaXN3LWNvbGxlY3Rpb25zIiwiaXN3LXBheW1lbnRnYXRld2F5IiwicGFzc3BvcnQiLCJwcm9qZWN0LXgtbWVyY2hhbnQiLCJ2YXVsdCJdLCJtZXJjaGFudF9jb2RlIjoiTVg2MDcyIiwicmVxdWVzdG9yX2lkIjoiMTIzODA4NTk1MDMiLCJzY29wZSI6WyJwcm9maWxlIl0sImp0aSI6IjVkOTczM2Y5LWMzNDEtNGFjZC04ZjE3LWViYzUyYWE0NjM2MiIsInBheWFibGVfaWQiOiIzMzU5NyIsImNsaWVudF9pZCI6IklLSUFCMjNBNEUyNzU2NjA1QzFBQkMzM0NFM0MyODdFMjcyNjdGNjYwRDYxIn0.ElgBX2KoF9LuUUpeBGzzp8CDAllTHWfgM6pJRgTtPYGJpoZufKlJrmE4QTvZV6MIVaNtK21majTgR4qXJr7CEkPK_4zCIHyN2b8a445vqhLYcbffQvK4EeUn_RzsWTmub2bruG5s4bRS1il5itPR0QQ-trEsbELU7TAHvC4p786RiAQd-K_I0bwtLzIXQN65jlw3eJxxK-BGfca-OMTUo9HGvraebfLB-7h4-vNbPred58gfLBSwK31jaLP19cMRc5Jea28jrlmGNUhHGzjnP7ZanqgC9uuvoepQsa39_DNBonR6xirxKw4aNlNLcKOTn026wyOTHIHUGlDQ3s3AOQ"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "description": "Set value to \"application/json\"",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "amount",
            "in": "header",
            "description": "transaction amount in major denomination",
            "schema": {
              "type": "number",
              "format": "double",
              "default": 1500
            }
          },
          {
            "name": "transactionRef",
            "in": "header",
            "description": "transaction reference for the transaction you're trying to confirm",
            "schema": {
              "type": "string",
              "default": "ESB3200test"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"transactionRef\": \"ESB3200test\",\n    \"bankCode\": \"011\",\n    \"message\": \"Approved by Financial Institution\",\n    \"amount\": \"1500.00\",\n    \"transactionDate\": \"2020-04-13T01:34:17\",\n    \"responseCode\": \"00\",\n    \"retrievalReferenceNumber\": \"000106923853\",\n    \"stan\": \"000008\",\n    \"terminalId\": \"3PXM0001\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "transactionRef": {
                      "type": "string",
                      "example": "ESB3200test"
                    },
                    "bankCode": {
                      "type": "string",
                      "example": "011"
                    },
                    "message": {
                      "type": "string",
                      "example": "Approved by Financial Institution"
                    },
                    "amount": {
                      "type": "string",
                      "example": "1500.00"
                    },
                    "transactionDate": {
                      "type": "string",
                      "example": "2020-04-13T01:34:17"
                    },
                    "responseCode": {
                      "type": "string",
                      "example": "00"
                    },
                    "retrievalReferenceNumber": {
                      "type": "string",
                      "example": "000106923853"
                    },
                    "stan": {
                      "type": "string",
                      "example": "000008"
                    },
                    "terminalId": {
                      "type": "string",
                      "example": "3PXM0001"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"transactionRef\": \"ESB3200testww\",\n    \"errors\": [\n        {\n            \"code\": \"Z25\",\n            \"message\": \"Transaction not Found\"\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "transactionRef": {
                      "type": "string",
                      "example": "ESB3200testww"
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "string",
                            "example": "Z25"
                          },
                          "message": {
                            "type": "string",
                            "example": "Transaction not Found"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --location 'https://payment-service.k8.isw.la/api/v3/purchases' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: Bearer {insert access token}' \\\n--header 'amount: 1500.00' \\\n--header 'transactionRef: ESB3200test'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```